
package gr.gsis.rgwsbasstoixn.rgwsbasstoixn;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.4-b01
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "RgWsBasStoixN", targetNamespace = "http://gr/gsis/rgwsbasstoixn/RgWsBasStoixN.wsdl", wsdlLocation = "https://www1.gsis.gr/webtax2/wsgsis/RgWsPublic/RgWsPublicPort?WSDL")
public class RgWsBasStoixN_Service
    extends Service
{

    private final static URL RGWSBASSTOIXN_WSDL_LOCATION;
    private final static WebServiceException RGWSBASSTOIXN_EXCEPTION;
    private final static QName RGWSBASSTOIXN_QNAME = new QName("http://gr/gsis/rgwsbasstoixn/RgWsBasStoixN.wsdl", "RgWsBasStoixN");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("https://www1.gsis.gr/webtax2/wsgsis/RgWsPublic/RgWsPublicPort?WSDL");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        RGWSBASSTOIXN_WSDL_LOCATION = url;
        RGWSBASSTOIXN_EXCEPTION = e;
    }

    public RgWsBasStoixN_Service() {
        super(__getWsdlLocation(), RGWSBASSTOIXN_QNAME);
    }

    public RgWsBasStoixN_Service(WebServiceFeature... features) {
        super(__getWsdlLocation(), RGWSBASSTOIXN_QNAME, features);
    }

    public RgWsBasStoixN_Service(URL wsdlLocation) {
        super(wsdlLocation, RGWSBASSTOIXN_QNAME);
    }

    public RgWsBasStoixN_Service(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, RGWSBASSTOIXN_QNAME, features);
    }

    public RgWsBasStoixN_Service(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public RgWsBasStoixN_Service(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns RgWsBasStoixN
     */
    @WebEndpoint(name = "RgWsBasStoixNSoapHttpPort")
    public RgWsBasStoixN getRgWsBasStoixNSoapHttpPort() {
        return super.getPort(new QName("http://gr/gsis/rgwsbasstoixn/RgWsBasStoixN.wsdl", "RgWsBasStoixNSoapHttpPort"), RgWsBasStoixN.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns RgWsBasStoixN
     */
    @WebEndpoint(name = "RgWsBasStoixNSoapHttpPort")
    public RgWsBasStoixN getRgWsBasStoixNSoapHttpPort(WebServiceFeature... features) {
        return super.getPort(new QName("http://gr/gsis/rgwsbasstoixn/RgWsBasStoixN.wsdl", "RgWsBasStoixNSoapHttpPort"), RgWsBasStoixN.class, features);
    }

    private static URL __getWsdlLocation() {
        if (RGWSBASSTOIXN_EXCEPTION!= null) {
            throw RGWSBASSTOIXN_EXCEPTION;
        }
        return RGWSBASSTOIXN_WSDL_LOCATION;
    }

}
